@mixin scroll {
  &::-webkit-scrollbar-track {
    background-color: transparent;
  }

  &::-webkit-scrollbar {
    width: 3px;
    background-color: transparent;
  }

  &::-webkit-scrollbar-thumb {
    border-radius: 10px;
    transition: 1s background-color;
    background-color: transparent;
  }

  &:hover {
    &::-webkit-scrollbar-thumb {
      background-color: #00bcd4;
    }
  }
}

@mixin chat_textarea($border) {
  textarea {
    float: left;
    resize: none;
    width: 75%;
    border: $border;
    padding-left: 20px;
    padding-right: 20px;
    font-size: 16px;
    outline: none;
    background-color: #fff;

    @include scroll();
  }
}

@mixin send_message_button($position) {
  button {
    position: $position !important;
    top: 0;
    bottom: 0;
    right: 0;
    float: right;
    height: 100% !important;
    border: none;
    color: #fff;
    outline: none;
    cursor: pointer;
    width: 15% !important;
    svg {
      color: #ff4081 !important;
    }
  }
}

